<?php

namespace app\models;

use carono\exchange1c\interfaces\DocumentInterface;

class Purchase extends Document implements DocumentInterface
{
    public static function collectionName()
    {
        return 'requisite';
    }

    /**
     * @return DocumentInterface[]
     */
    public static function findDocuments1c()
    {
        return self::find()->andWhere(['status_id' => 2])->all();
    }

    /**
     * @return OfferInterface[]
     */
    public function getOffers1c()
    {
        return $this->offers;
    }

    public function getRequisites1c()
    {
    }

    /**
     * Получаем контрагента у документа
     *
     * @return PartnerInterface
     */
    public function getPartner1c()
    {
        return $this->user;
    }

    public function getExportFields1c($context = null)
    {
        return [
            'Ид' => 'id',
            'Наименование' => 'login',
            'ПолноеНаименование' => 'full_name',
            'Фамилия' => 'surname',
            'Имя' => 'name',
            'Контакты' => [
                [
                    '@name' => 'Контакт',
                    'Тип' => 'Почта',
                    'Значение' => $this->email,
                ],
                [
                    '@name' => 'Контакт',
                    'Тип' => 'ТелефонРабочий',
                    'Значение' => $this->phone,
                ],
            ],
        ];
    }

    /**
     * Возвращаем имя поля в базе данных, в котором хранится ID из 1с
     *
     * @return string
     */
    public static function getIdFieldName1c()
    {
        return 'accounting_id';
    }

    public function setRaw1cData($cml, $object)
    {
    }
}
